package action;

import java.util.List;

import biz.UserBiz;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;

import entity.UserTable;

@SuppressWarnings("serial")
public class UserAction extends ActionSupport {
	private UserBiz userBiz;
	private UserTable user;
	private String ck;
	private List<UserTable> userList = null;

	// û¼
	public String login() {
		user = userBiz.getUser(user);
		if (user != null) {
			ActionContext.getContext().getSession().put("CurrentUser", user);
			return SUCCESS;
		} else {
			addActionError("û");
			return INPUT;
		}
	}

	// ȡûб
	public String list() {
		userList = userBiz.userList();
		return userList != null ? SUCCESS : INPUT;
	}

	// û
	public String addUser() {
		userBiz.updateUser(user);
		return SUCCESS;
	}

	// ɾû
	public String delUser() {
		userBiz.delUser(user);
		return SUCCESS;
	}

	// ޸û
	public String updateUser() {
		userBiz.updateUser(user);
		return SUCCESS;
	}
	
	// 鿴û
	public String checkUser() {
		user = userBiz.getUser(user);
		return SUCCESS;
	}

	public UserBiz getUserBiz() {
		return userBiz;
	}

	public void setUserBiz(UserBiz userBiz) {
		this.userBiz = userBiz;
	}

	public UserTable getUser() {
		return user;
	}

	public void setUser(UserTable user) {
		this.user = user;
	}

	public List<UserTable> getUserList() {
		return userList;
	}

	public void setUserList(List<UserTable> userList) {
		this.userList = userList;
	}

	public String getCk() {
		return ck;
	}

	public void setCk(String ck) {
		this.ck = ck;
	}
}
