package biz.impl;

import java.util.List;

import dao.UserDao;

import entity.UserTable;
import biz.UserBiz;

public class UserBizImpl implements UserBiz {
	
	private UserDao userDao;
	
	public void setUserDao(UserDao userDao) {
		this.userDao = userDao;
	}

	@Override
	public void delUser(UserTable user) {
		userDao.delUser(user);
	}

	@Override
	public void updateUser(UserTable user) {
		userDao.updateUser(user);
	}

	@Override
	public UserTable getUser(UserTable user) {
		return userDao.getUser(user);
	}

	@Override
	public List<UserTable> userList() {
		return userDao.userList();
	}

}
